Support » Plugin: Minimalist Twitter Widget » FastCGI Invalid argument supplied for foreach()

  • Loved your plugin and it was running great on my Apache staging service but when I put it things on my Nginx production machine *sad face*

    2014/09/08 19:03:40 [error] 16751#0: *3 FastCGI sent in stderr: "PHP message: PHP Warning: Invalid argument supplied for foreach() in /usr/share/nginx/domain.com/public_html/wp-content/plugins/minimalist-twitter-widget/index.php on line 19" while reading upstream, client: xxxxxx, server: domain.com, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm-www.sock:", host: "domain.com"

    From what I’ve been able to Google together makes me think this is something I need to ask you about. Absolutely loved the look so hoping you can help!

    https://wordpress.org/plugins/minimalist-twitter-widget/

Viewing 2 replies - 1 through 2 (of 2 total)
  • to add to this; I’ve narrowed it down to the caching. disabling caching fixes this issue.

    Plugin Author impression11

    (@impression11)

    Hi,

    Sorry for the delay, I will look into this however without running with the same PHP config it may be quite difficult to narrow down what the problem is. I actually work exclusively with Nginx (and developed the plugin on websites running on it as well). Tomorrow I will play around with my PHP settings and try and emulate it

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘FastCGI Invalid argument supplied for foreach()’ is closed to new replies.